package com.yaohun.aulivecode;

import com.yaohun.aulivecode.database.SqlManager;
import com.yaohun.aulivecode.util.SqlUtil;
import org.bukkit.Bukkit;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.plugin.java.JavaPlugin;

public class Main extends JavaPlugin {

    public static Main plugin;
    public static SqlUtil sqlUtil;
    public static SqlManager sqlManager;

    @Override
    public void onEnable() {
        plugin = this;
        sqlManager = new SqlManager();
        LinkMySqlData();
    }

    public void LinkMySqlData(){
        String SQL_Host = "gz-cdb-r9koldtt.sql.tencentcdb.com";
        String SQL_Port = "29320";
        String SQL_Users = "root";
        String SQL_Password = "Pixel@123456";
        String SQL_Database = "wllivestats";
        sqlUtil = new SqlUtil(SQL_Host,SQL_Port,SQL_Database,SQL_Users,SQL_Password);
        sqlManager.createTable();
        Bukkit.getConsoleSender().sendMessage("[直播数据] 数据库已连接.");
    }

    @Override
    public boolean onCommand(CommandSender sender, Command command, String label, String[] args) {
        if(args.length == 3 && args[0].equalsIgnoreCase("create") && sender.isOp()){
            String zhubo = args[1];
            String liveId = args[2];
            sqlManager.createAnchorProfile(zhubo,liveId);
            sender.sendMessage("[直播数据] 正在创建主播档案.");
        }
        return false;
    }

}
